<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_8</title>
</head>
<body>
    <h1>Capitulo 8</h1>
    <a>Ejercicio 8</a>

    <script>   

        const todasLasPermu = (str, l) => { 

            if (str.length < 1) {
                console.log(l + str);
            }

            let aux = new Set();
            for (var i = 0; i < str.length; i++) {

                if (aux.has(str[i]) === true) {
                    continue;
                } else {
                    aux.add(str[i]);
                }
                let temp = "";
                if (i < str.length - 1) {
                    temp = str.substring(0, i) + str.substring(i + 1);
                } else {
                    temp = str.substring(0, i);
                }
                todasLasPermu(temp, l + str[i]);
            }
        }
 
        let str = "abca";
            str = str.split("").sort().join("");
        console.log(`Permutaciones posibles de la cadena "${str}", son:`)
        todasLasPermu(str, "");


        
</script>
    
</body>
</html>